[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomCheckGroup.Rows

Number of rows need to display Items (check boxes ) defined in the control.

## Declaration

Source position: extctrls.pp line 898

`public function TCustomCheckGroup.Rows: Integer;`

## Function result

The number of rows used for the Items.

## Description

Rows is an Integer function which returns the number of rows needed to represents the check boxes defined in Items. The return value is the result of dividing the total number of Items by the number of Columns. The return value is zero (0) when no Items have been defined in the control.

## See also

TCustomCheckGroup.Items |  | String list with the captions for the check boxes in the grouped edit control.
TCustomCheckGroup.Columns |  | Columns is the number of columns in which the Items (check boxes) are arranged.